/* Services start */
.services {
    margin-top: 80px;
}

.block-services h2 {
    text-align: center;
    margin-bottom: 20px;
}

.block-services__items {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: center;
    gap: 40px 20px;
}

.block-services__item {
    position: relative; 
    height: 230px;
    overflow: hidden;
}

.block-services__item-pic {
    width: 100%;
    height: 100%; 
    background-position: center; 
    background-size: cover;
    transition: .3s;
}

.block-services__item:hover .block-services__item-pic {
    transform: scale(1.1);
}

.block-services__item-text {
    position: absolute;
    display: flex;
    justify-content: center;
    text-align: center;
    width: 100%;
    bottom: 0px;
    left: 0;
    color: #ffffff;
    text-shadow: rgb(0, 0, 0) 1px 0 10px;
    background: #3257a37d;
    padding: 8px 0;
}

.block-services__item-text h3 {
    font-weight: 500;
    margin: 0;
}
/* Services end */

@media (max-width: 1023px) {
    .block-services__items {
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }
}

@media (max-width: 749px) {
    .block-services__items {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media (max-width: 424px) {
    .block-services__item {
        height: 200px;
    }
}